import request from '@/utils/request'

// 查询安全设施-安全阀列表
export function listSafetyValve(query) {
  return request({
    url: '/pssr/safetyValve/list',
    method: 'get',
    params: query
  })
}

// 查询安全设施-安全阀详细
export function getSafetyValve(id) {
  return request({
    url: '/pssr/safetyValve/' + id,
    method: 'get'
  })
}

// 新增安全设施-安全阀
export function addSafetyValve(data) {
  return request({
    url: '/pssr/safetyValve',
    method: 'post',
    data: data
  })
}

// 修改安全设施-安全阀
export function updateSafetyValve(data) {
  return request({
    url: '/pssr/safetyValve',
    method: 'put',
    data: data
  })
}

//
export function updateSafetyValveBatch(data) {
  return request({
    url: '/pssr/safetyValve/editBatch',
    method: 'put',
    data: data
  })
}


// 删除安全设施-安全阀
export function delSafetyValve(id) {
  return request({
    url: '/pssr/safetyValve/' + id,
    method: 'delete'
  })
}

// 导出安全设施-安全阀
export function exportSafetyValve(query) {
  return request({
    url: '/pssr/safetyValve/export',
    method: 'get',
    params: query
  })
}
